public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/, media-libs/libsndfile/files/
@ 2016-11-22 19:35 David Seifert
  0 siblings, 0 replies; 5+ messages in thread
From: David Seifert @ 2016-11-22 19:35 UTC (permalink / raw
  To: gentoo-commits

commit:     25bc0868cb0dc79fdfdf315297d32a6855b3ee47
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 22 19:02:40 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 19:33:50 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25bc0868

media-libs/libsndfile: Port to EAPI=6

Gentoo-bug: 492754

Package-Manager: portage-2.3.2

 .../files/libsndfile-1.0.27-fix-tests.patch        | 12 ++++
 media-libs/libsndfile/libsndfile-1.0.27-r1.ebuild  | 76 ++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/media-libs/libsndfile/files/libsndfile-1.0.27-fix-tests.patch b/media-libs/libsndfile/files/libsndfile-1.0.27-fix-tests.patch
new file mode 100644
index 00000000..b8e7e2e
--- /dev/null
+++ b/media-libs/libsndfile/files/libsndfile-1.0.27-fix-tests.patch
@@ -0,0 +1,12 @@
+Fix tests
+
+--- a/examples/Makefile.am
++++ b/examples/Makefile.am
+@@ -1,6 +1,6 @@
+ ## Process this file with automake to produce Makefile.in
+ 
+-noinst_PROGRAMS = make_sine sfprocess list_formats generate sndfilehandle \
++check_PROGRAMS = make_sine sfprocess list_formats generate sndfilehandle \
+ 	sndfile-to-text sndfile-loopify
+ 
+ AM_CPPFLAGS = -I$(top_srcdir)/src

diff --git a/media-libs/libsndfile/libsndfile-1.0.27-r1.ebuild b/media-libs/libsndfile/libsndfile-1.0.27-r1.ebuild
new file mode 100644
index 00000000..6880f9b
--- /dev/null
+++ b/media-libs/libsndfile/libsndfile-1.0.27-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit autotools python-any-r1 multilib-minimal
+
+MY_P=${P/_pre/pre}
+
+DESCRIPTION="A C library for reading and writing files containing sampled sound"
+HOMEPAGE="http://www.mega-nerd.com/libsndfile"
+if [[ ${MY_P} == ${P} ]]; then
+	SRC_URI="http://www.mega-nerd.com/libsndfile/files/${P}.tar.gz"
+else
+	SRC_URI="http://www.mega-nerd.com/tmp/${MY_P}b.tar.gz"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="alsa minimal sqlite static-libs test"
+
+RDEPEND="
+	!minimal? ( >=media-libs/flac-1.2.1-r5[${MULTILIB_USEDEP}]
+		>=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}]
+		>=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}] )
+	alsa? ( media-libs/alsa-lib )
+	sqlite? ( >=dev-db/sqlite-3.2 )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	test? ( ${PYTHON_DEPS} )"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-1.0.27-fix-tests.patch
+	"${FILESDIR}"/${PN}-1.0.17-regtests-need-sqlite.patch
+	"${FILESDIR}"/${PN}-1.0.25-make.patch
+)
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		--disable-octave \
+		--disable-gcc-pipe \
+		$(use_enable static-libs static) \
+		$(use_enable !minimal external-libs) \
+		$(multilib_native_use_enable alsa) \
+		$(multilib_native_use_enable sqlite)
+
+	if ! multilib_is_native_abi; then
+		# Do not build useless stuff
+		local i
+		for i in man doc examples regtest programs; do
+			sed -i -e "s/ ${i}//" Makefile || die
+		done
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	# package provides .pc files
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/, media-libs/libsndfile/files/
@ 2017-06-08  6:56 David Seifert
  0 siblings, 0 replies; 5+ messages in thread
From: David Seifert @ 2017-06-08  6:56 UTC (permalink / raw
  To: gentoo-commits

commit:     35457ed57bb3c46248bdf1bb9e58bcee3af48a5d
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  8 06:55:46 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Jun  8 06:56:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35457ed5

media-libs/libsndfile: Fix varargs type bug

Bug: https://bugs.gentoo.org/show_bug.cgi?id=618452
Package-Manager: Portage-2.3.6, Repoman-2.3.2

 .../libsndfile-1.0.28-arm-varargs-failure.patch    | 32 ++++++++++++++++++++++
 media-libs/libsndfile/libsndfile-1.0.28-r1.ebuild  |  2 ++
 2 files changed, 34 insertions(+)

diff --git a/media-libs/libsndfile/files/libsndfile-1.0.28-arm-varargs-failure.patch b/media-libs/libsndfile/files/libsndfile-1.0.28-arm-varargs-failure.patch
new file mode 100644
index 00000000000..ed726f82976
--- /dev/null
+++ b/media-libs/libsndfile/files/libsndfile-1.0.28-arm-varargs-failure.patch
@@ -0,0 +1,32 @@
+From 9d470ee5577d3ccedb1c28c7e0a7295ba17feaf5 Mon Sep 17 00:00:00 2001
+From: Erik de Castro Lopo <erikd@mega-nerd.com>
+Date: Sun, 16 Apr 2017 17:54:17 +1000
+Subject: [PATCH] src/rf64.c: Fix varargs related bug
+
+C's <stargs.h> functionality isn't type checked so that passing an
+`sf_count_t` (64 bits) by mistake in place of a `unit32_t` can cause
+errors. This would be fine if it was an error on every architecture
+and platform, but its not. This particular problem only manifested
+on armhf and some other Arm architectures. It was not an issue on
+32 bit x86.
+
+I have now fixed variants of this same bug several times.
+
+Closes: https://github.com/erikd/libsndfile/issues/229
+---
+ src/rf64.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/rf64.c b/src/rf64.c
+index b3d637fa..02dd9046 100644
+--- a/src/rf64.c
++++ b/src/rf64.c
+@@ -742,7 +742,7 @@ rf64_write_header (SF_PRIVATE *psf, int calc_length)
+ 
+ 	pad_size = psf->dataoffset - 16 - psf->header.indx ;
+ 	if (pad_size >= 0)
+-		psf_binheader_writef (psf, "m4z", PAD_MARKER, pad_size, make_size_t (pad_size)) ;
++		psf_binheader_writef (psf, "m4z", PAD_MARKER, (unsigned int) pad_size, make_size_t (pad_size)) ;
+ 
+ 	if (wpriv->rf64_downgrade && (psf->filelength < RIFF_DOWNGRADE_BYTES))
+ 		psf_binheader_writef (psf, "tm8", data_MARKER, psf->datalength) ;

diff --git a/media-libs/libsndfile/libsndfile-1.0.28-r1.ebuild b/media-libs/libsndfile/libsndfile-1.0.28-r1.ebuild
index d0862f411ff..cfec91e87a0 100644
--- a/media-libs/libsndfile/libsndfile-1.0.28-r1.ebuild
+++ b/media-libs/libsndfile/libsndfile-1.0.28-r1.ebuild
@@ -36,6 +36,8 @@ DEPEND="${RDEPEND}
 
 S=${WORKDIR}/${MY_P}
 
+PATCHES=( "${FILESDIR}"/${P}-arm-varargs-failure.patch )
+
 pkg_setup() {
 	use test && python-any-r1_pkg_setup
 }


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/, media-libs/libsndfile/files/
@ 2018-09-18 16:24 Andreas Sturmlechner
  0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2018-09-18 16:24 UTC (permalink / raw
  To: gentoo-commits

commit:     fcefddf42de6342aeff7dce16760923b10a05909
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 18 16:21:49 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Sep 18 16:21:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcefddf4

media-libs/libsndfile: Fix CVE-2017-12562

Bug: https://bugs.gentoo.org/627152
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 .../files/libsndfile-1.0.28-CVE-2017-12562.patch   | 88 ++++++++++++++++++++++
 media-libs/libsndfile/libsndfile-1.0.28-r2.ebuild  | 65 ++++++++++++++++
 2 files changed, 153 insertions(+)

diff --git a/media-libs/libsndfile/files/libsndfile-1.0.28-CVE-2017-12562.patch b/media-libs/libsndfile/files/libsndfile-1.0.28-CVE-2017-12562.patch
new file mode 100644
index 00000000000..0ff2b7ef459
--- /dev/null
+++ b/media-libs/libsndfile/files/libsndfile-1.0.28-CVE-2017-12562.patch
@@ -0,0 +1,88 @@
+From b6a9d7e95888ffa77d8c75ce3f03e6c7165587cd Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?J=C3=B6rn=20Heusipp?= <osmanx@problemloesungsmaschine.de>
+Date: Wed, 14 Jun 2017 12:25:40 +0200
+Subject: [PATCH] src/common.c: Fix heap buffer overflows when writing strings
+ in binheader
+
+Fixes the following problems:
+ 1. Case 's' only enlarges the buffer by 16 bytes instead of size bytes.
+ 2. psf_binheader_writef() enlarges the header buffer (if needed) prior to the
+    big switch statement by an amount (16 bytes) which is enough for all cases
+    where only a single value gets added. Cases 's', 'S', 'p' however
+    additionally write an arbitrary length block of data and again enlarge the
+    buffer to the required amount. However, the required space calculation does
+    not take into account the size of the length field which gets output before
+    the data.
+ 3. Buffer size requirement calculation in case 'S' does not account for the
+    padding byte ("size += (size & 1) ;" happens after the calculation which
+    uses "size").
+ 4. Case 'S' can overrun the header buffer by 1 byte when no padding is
+    involved
+    ("memcpy (&(psf->header.ptr [psf->header.indx]), strptr, size + 1) ;" while
+    the buffer is only guaranteed to have "size" space available).
+ 5. "psf->header.ptr [psf->header.indx] = 0 ;" in case 'S' always writes 1 byte
+    beyond the space which is guaranteed to be allocated in the header buffer.
+ 6. Case 's' can overrun the provided source string by 1 byte if padding is
+    involved ("memcpy (&(psf->header.ptr [psf->header.indx]), strptr, size) ;"
+    where "size" is "strlen (strptr) + 1" (which includes the 0 terminator,
+    plus optionally another 1 which is padding and not guaranteed to be
+    readable via the source string pointer).
+
+Closes: https://github.com/erikd/libsndfile/issues/292
+---
+ src/common.c | 15 +++++++--------
+ 1 file changed, 7 insertions(+), 8 deletions(-)
+
+diff --git a/src/common.c b/src/common.c
+index 1a6204ca..6b2a2ee9 100644
+--- a/src/common.c
++++ b/src/common.c
+@@ -681,16 +681,16 @@ psf_binheader_writef (SF_PRIVATE *psf, const char *format, ...)
+ 					/* Write a C string (guaranteed to have a zero terminator). */
+ 					strptr = va_arg (argptr, char *) ;
+ 					size = strlen (strptr) + 1 ;
+-					size += (size & 1) ;
+ 
+-					if (psf->header.indx + (sf_count_t) size >= psf->header.len && psf_bump_header_allocation (psf, 16))
++					if (psf->header.indx + 4 + (sf_count_t) size + (sf_count_t) (size & 1) > psf->header.len && psf_bump_header_allocation (psf, 4 + size + (size & 1)))
+ 						return count ;
+ 
+ 					if (psf->rwf_endian == SF_ENDIAN_BIG)
+-						header_put_be_int (psf, size) ;
++						header_put_be_int (psf, size + (size & 1)) ;
+ 					else
+-						header_put_le_int (psf, size) ;
++						header_put_le_int (psf, size + (size & 1)) ;
+ 					memcpy (&(psf->header.ptr [psf->header.indx]), strptr, size) ;
++					size += (size & 1) ;
+ 					psf->header.indx += size ;
+ 					psf->header.ptr [psf->header.indx - 1] = 0 ;
+ 					count += 4 + size ;
+@@ -703,16 +703,15 @@ psf_binheader_writef (SF_PRIVATE *psf, const char *format, ...)
+ 					*/
+ 					strptr = va_arg (argptr, char *) ;
+ 					size = strlen (strptr) ;
+-					if (psf->header.indx + (sf_count_t) size > psf->header.len && psf_bump_header_allocation (psf, size))
++					if (psf->header.indx + 4 + (sf_count_t) size + (sf_count_t) (size & 1) > psf->header.len && psf_bump_header_allocation (psf, 4 + size + (size & 1)))
+ 						return count ;
+ 					if (psf->rwf_endian == SF_ENDIAN_BIG)
+ 						header_put_be_int (psf, size) ;
+ 					else
+ 						header_put_le_int (psf, size) ;
+-					memcpy (&(psf->header.ptr [psf->header.indx]), strptr, size + 1) ;
++					memcpy (&(psf->header.ptr [psf->header.indx]), strptr, size + (size & 1)) ;
+ 					size += (size & 1) ;
+ 					psf->header.indx += size ;
+-					psf->header.ptr [psf->header.indx] = 0 ;
+ 					count += 4 + size ;
+ 					break ;
+ 
+@@ -724,7 +723,7 @@ psf_binheader_writef (SF_PRIVATE *psf, const char *format, ...)
+ 					size = (size & 1) ? size : size + 1 ;
+ 					size = (size > 254) ? 254 : size ;
+ 
+-					if (psf->header.indx + (sf_count_t) size > psf->header.len && psf_bump_header_allocation (psf, size))
++					if (psf->header.indx + 1 + (sf_count_t) size > psf->header.len && psf_bump_header_allocation (psf, 1 + size))
+ 						return count ;
+ 
+ 					header_put_byte (psf, size) ;

diff --git a/media-libs/libsndfile/libsndfile-1.0.28-r2.ebuild b/media-libs/libsndfile/libsndfile-1.0.28-r2.ebuild
new file mode 100644
index 00000000000..dda9e8b990d
--- /dev/null
+++ b/media-libs/libsndfile/libsndfile-1.0.28-r2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+inherit python-any-r1 multilib-minimal
+
+MY_P=${P/_pre/pre}
+
+DESCRIPTION="C library for reading and writing files containing sampled sound"
+HOMEPAGE="http://www.mega-nerd.com/libsndfile"
+if [[ ${MY_P} == ${P} ]]; then
+	SRC_URI="http://www.mega-nerd.com/libsndfile/files/${P}.tar.gz"
+else
+	SRC_URI="http://www.mega-nerd.com/tmp/${MY_P}b.tar.gz"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="alsa minimal sqlite static-libs test"
+
+RDEPEND="
+	!minimal? (
+		>=media-libs/flac-1.2.1-r5[${MULTILIB_USEDEP}]
+		>=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}]
+		>=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}]
+	)
+	alsa? ( media-libs/alsa-lib )
+	sqlite? ( >=dev-db/sqlite-3.2 )"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	test? ( ${PYTHON_DEPS} )"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+	"${FILESDIR}"/${P}-arm-varargs-failure.patch
+	"${FILESDIR}"/${P}-CVE-2017-12562.patch
+)
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		--disable-octave \
+		--enable-gcc-pipe \
+		--enable-gcc-opt \
+		$(use_enable static-libs static) \
+		$(use_enable !minimal external-libs) \
+		$(multilib_native_enable full-suite) \
+		$(multilib_native_use_enable alsa) \
+		$(multilib_native_use_enable sqlite)
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	# package provides .pc files
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/, media-libs/libsndfile/files/
@ 2018-09-18 21:24 Andreas Sturmlechner
  0 siblings, 0 replies; 5+ messages in thread
From: Andreas Sturmlechner @ 2018-09-18 21:24 UTC (permalink / raw
  To: gentoo-commits

commit:     e2ec2c790cf28858ec8dd4da007ca7ca12ffeca1
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 18 21:23:22 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Sep 18 21:24:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2ec2c79

media-libs/libsndfile: Fix CVE-2018-13139

Bug: https://bugs.gentoo.org/660452
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 .../files/libsndfile-1.0.28-CVE-2018-13139.patch   | 31 ++++++++++
 media-libs/libsndfile/libsndfile-1.0.28-r3.ebuild  | 67 ++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/media-libs/libsndfile/files/libsndfile-1.0.28-CVE-2018-13139.patch b/media-libs/libsndfile/files/libsndfile-1.0.28-CVE-2018-13139.patch
new file mode 100644
index 00000000000..18e6ae76e62
--- /dev/null
+++ b/media-libs/libsndfile/files/libsndfile-1.0.28-CVE-2018-13139.patch
@@ -0,0 +1,31 @@
+From df18323c622b54221ee7ace74b177cdcccc152d7 Mon Sep 17 00:00:00 2001
+From: "Brett T. Warden" <brett.t.warden@intel.com>
+Date: Tue, 28 Aug 2018 12:01:17 -0700
+Subject: [PATCH] Check MAX_CHANNELS in sndfile-deinterleave
+
+Allocated buffer has space for only 16 channels. Verify that input file
+meets this limit.
+
+Fixes #397
+---
+ programs/sndfile-deinterleave.c | 7 +++++++
+ 1 file changed, 7 insertions(+)
+
+diff --git a/programs/sndfile-deinterleave.c b/programs/sndfile-deinterleave.c
+index 53660310..225b4d54 100644
+--- a/programs/sndfile-deinterleave.c
++++ b/programs/sndfile-deinterleave.c
+@@ -89,6 +89,13 @@ main (int argc, char **argv)
+ 		exit (1) ;
+ 		} ;
+ 
++	if (sfinfo.channels > MAX_CHANNELS)
++	{	printf ("\nError : Input file '%s' has too many (%d) channels. Limit is %d.\n",
++			argv [1], sfinfo.channels, MAX_CHANNELS) ;
++		exit (1) ;
++		} ;
++
++
+ 	state.channels = sfinfo.channels ;
+ 	sfinfo.channels = 1 ;
+ 
\ No newline at end of file

diff --git a/media-libs/libsndfile/libsndfile-1.0.28-r3.ebuild b/media-libs/libsndfile/libsndfile-1.0.28-r3.ebuild
new file mode 100644
index 00000000000..a6eb6e3a48c
--- /dev/null
+++ b/media-libs/libsndfile/libsndfile-1.0.28-r3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+inherit python-any-r1 multilib-minimal
+
+MY_P=${P/_pre/pre}
+
+DESCRIPTION="C library for reading and writing files containing sampled sound"
+HOMEPAGE="http://www.mega-nerd.com/libsndfile"
+if [[ ${MY_P} == ${P} ]]; then
+	SRC_URI="http://www.mega-nerd.com/libsndfile/files/${P}.tar.gz"
+else
+	SRC_URI="http://www.mega-nerd.com/tmp/${MY_P}b.tar.gz"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="alsa minimal sqlite static-libs test"
+
+RDEPEND="
+	!minimal? (
+		>=media-libs/flac-1.2.1-r5[${MULTILIB_USEDEP}]
+		>=media-libs/libogg-1.3.0[${MULTILIB_USEDEP}]
+		>=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}]
+	)
+	alsa? ( media-libs/alsa-lib )
+	sqlite? ( >=dev-db/sqlite-3.2 )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	test? ( ${PYTHON_DEPS} )"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+	"${FILESDIR}"/${P}-arm-varargs-failure.patch
+	"${FILESDIR}"/${P}-CVE-2017-12562.patch
+	"${FILESDIR}"/${P}-CVE-2018-13139.patch
+)
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" econf \
+		--disable-octave \
+		--enable-gcc-pipe \
+		--enable-gcc-opt \
+		$(use_enable static-libs static) \
+		$(use_enable !minimal external-libs) \
+		$(multilib_native_enable full-suite) \
+		$(multilib_native_use_enable alsa) \
+		$(multilib_native_use_enable sqlite)
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	# package provides .pc files
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/, media-libs/libsndfile/files/
@ 2020-10-04 13:42 David Seifert
  0 siblings, 0 replies; 5+ messages in thread
From: David Seifert @ 2020-10-04 13:42 UTC (permalink / raw
  To: gentoo-commits

commit:     7b7cc4b7e5d62c1490b4d25d14dc70927114f5a6
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Oct  4 13:42:27 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Oct  4 13:42:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b7cc4b7

media-libs/libsndfile: Use fixed upstream tarball

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-libs/libsndfile/Manifest                     |   2 +-
 .../files/libsndfile-1.0.30-fix-nl.patch           | 121 ---------------------
 media-libs/libsndfile/libsndfile-1.0.30.ebuild     |   4 -
 3 files changed, 1 insertion(+), 126 deletions(-)

diff --git a/media-libs/libsndfile/Manifest b/media-libs/libsndfile/Manifest
index c3b5434221e..75717570710 100644
--- a/media-libs/libsndfile/Manifest
+++ b/media-libs/libsndfile/Manifest
@@ -1,4 +1,4 @@
 DIST libsndfile-1.0.28.tar.gz 1202833 BLAKE2B 102735766e2c22b5278fde43feaaa664598c08fadb5264d5130e4bf1e354bd4202948db38e2912d7487bd7f8c0b9faf1616c0873eed886a56b1d7f49452bf488 SHA512 890731a6b8173f714155ce05eaf6d991b31632c8ab207fbae860968861a107552df26fcf85602df2e7f65502c7256c1b41735e1122485a3a07ddb580aa83b57f
 DIST libsndfile-1.0.29.tar.bz2 831090 BLAKE2B 0bdf20a0abe22f628434e80c61c6b7d31e62c40dd881f462d8e12eb4488f0bcb1c0c7712fbff4902bbbea86e08763a01f7d85b875166c5c9214ab9d8aa10a1c1 SHA512 72cf038b26c66e6e085d97ef1954bd3aa76315527f632649707c76128953bfbb2c9b52527d309720ca1107a9e04e033722995911dad43b4adda46bf4a05354d7
 DIST libsndfile-1.0.29_pre2_p20191024.tar.gz 720981 BLAKE2B 9f1dcf3d3669b66d8582d50b62ff863facd7125432a84a3e1e3fb0f817554f260f42948b4479371fb0967dcc75bedc6c49afffc6bee3f973a875d72d2e508210 SHA512 e37b385b90cadc97348db03b6c5ae7a8fcee17ded60f54d1508adddb8e2dc604ea44b60a0fe08627e81c0faa83997cdafb0b0ecf8574f901bf5e8a1819a63998
-DIST libsndfile-1.0.30.tar.bz2 849559 BLAKE2B 28a0191b0882a0e6546c496c8670ee44c9f34befeeb876d2156ffcb8772a2c419672329f25e532dc611ebeb3197ad3a2f70fe2c1e287d94e3d5b512c9f1d4052 SHA512 ff1e533e0480ae9d0ba08f68eb82fdbad186c65f93c74f956f2fc5a7264cd31f2610c3f8b72a93e24704cac2b05e7a00e6a43dba70391dcbd1d1c9344bd88df0
+DIST libsndfile-1.0.30.tar.bz2 852320 BLAKE2B 00bd558a3d8645f4ad03fba38c31fcea25d30bea4b6f1a785b4b31b0da61bfa6a6f7df1bd7907c95c543cce8ee6766032d2e614eb285f2fc529146cb1d319517 SHA512 c4be4bc57df880da81570889a80256ba4567f2c7d6bdfb38f3803c55f616278160e962544bfac32e53b613b8fdf2a2644d8da9ee778747c32cb681a0fd5aab00

diff --git a/media-libs/libsndfile/files/libsndfile-1.0.30-fix-nl.patch b/media-libs/libsndfile/files/libsndfile-1.0.30-fix-nl.patch
deleted file mode 100644
index 7fa3c47d938..00000000000
--- a/media-libs/libsndfile/files/libsndfile-1.0.30-fix-nl.patch
+++ /dev/null
@@ -1,121 +0,0 @@
-diff --git a/tests/pedantic-header-test.sh.in b/tests/pedantic-header-test.sh.in
-index 5ba9b4c..283af64 100755
---- a/tests/pedantic-header-test.sh.in
-+++ b/tests/pedantic-header-test.sh.in
-@@ -1,58 +1,58 @@
--#!/bin/bash
--
--# Copyright (C) 2010-2017 Erik de Castro Lopo <erikd@mega-nerd.com>
--#
--# All rights reserved.
--#
--# Redistribution and use in source and binary forms, with or without
--# modification, are permitted provided that the following conditions are
--# met:
--#
--#     * Redistributions of source code must retain the above copyright
--#       notice, this list of conditions and the following disclaimer.
--#     * Redistributions in binary form must reproduce the above copyright
--#       notice, this list of conditions and the following disclaimer in
--#       the documentation and/or other materials provided with the
--#       distribution.
--#     * Neither the author nor the names of any contributors may be used
--#       to endorse or promote products derived from this software without
--#       specific prior written permission.
--#
--# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
--# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
--# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
--# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
--# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
--# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
--# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
--# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
--# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
--# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
--# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
--
--
--if test ! -f @top_srcdir@/tests/sfversion.c ; then
--	exit 0
--	fi
--
--echo -n "    Pedantic header test           : "
--
--# Only do this if the compiler is GCC.
--if test -n "@GCC_MAJOR_VERSION@" ; then
--
--	CC=`echo "@CC@" | sed "s/.*shave cc //"`
--	# Compile with -Werror and -pedantic.
--	$CC -std=c99 -Werror -pedantic -I@top_srcdir@/src -I@abs_top_builddir@/src -I@abs_top_builddir@/include -c @top_srcdir@/tests/sfversion.c -o /dev/null
--
--	# Check compiler return status.
--	if test $? -ne 0 ; then
--		echo
--		exit 1
--		fi
--
--	echo "ok"
--else
--	echo "n/a"
--	fi
--
--exit 0
-+#!/bin/bash
-+
-+# Copyright (C) 2010-2017 Erik de Castro Lopo <erikd@mega-nerd.com>
-+#
-+# All rights reserved.
-+#
-+# Redistribution and use in source and binary forms, with or without
-+# modification, are permitted provided that the following conditions are
-+# met:
-+#
-+#     * Redistributions of source code must retain the above copyright
-+#       notice, this list of conditions and the following disclaimer.
-+#     * Redistributions in binary form must reproduce the above copyright
-+#       notice, this list of conditions and the following disclaimer in
-+#       the documentation and/or other materials provided with the
-+#       distribution.
-+#     * Neither the author nor the names of any contributors may be used
-+#       to endorse or promote products derived from this software without
-+#       specific prior written permission.
-+#
-+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
-+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
-+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-+
-+
-+if test ! -f @top_srcdir@/tests/sfversion.c ; then
-+	exit 0
-+	fi
-+
-+echo -n "    Pedantic header test           : "
-+
-+# Only do this if the compiler is GCC.
-+if test -n "@GCC_MAJOR_VERSION@" ; then
-+
-+	CC=`echo "@CC@" | sed "s/.*shave cc //"`
-+	# Compile with -Werror and -pedantic.
-+	$CC -std=c99 -Werror -pedantic -I@top_srcdir@/src -I@abs_top_builddir@/src -I@abs_top_builddir@/include -c @top_srcdir@/tests/sfversion.c -o /dev/null
-+
-+	# Check compiler return status.
-+	if test $? -ne 0 ; then
-+		echo
-+		exit 1
-+		fi
-+
-+	echo "ok"
-+else
-+	echo "n/a"
-+	fi
-+
-+exit 0

diff --git a/media-libs/libsndfile/libsndfile-1.0.30.ebuild b/media-libs/libsndfile/libsndfile-1.0.30.ebuild
index 1888607bd26..4c56a90eda7 100644
--- a/media-libs/libsndfile/libsndfile-1.0.30.ebuild
+++ b/media-libs/libsndfile/libsndfile-1.0.30.ebuild
@@ -42,10 +42,6 @@ if [[ ${PV} == *9999 ]]; then
 	"
 fi
 
-PATCHES=(
-	"${FILESDIR}/${PN}-1.0.30-fix-nl.patch"
-)
-
 pkg_setup() {
 	if use test || [[ ${PV} == *9999 ]]; then
 		python-any-r1_pkg_setup


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2020-10-04 13:42 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-06-08  6:56 [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/, media-libs/libsndfile/files/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2020-10-04 13:42 David Seifert
2018-09-18 21:24 Andreas Sturmlechner
2018-09-18 16:24 Andreas Sturmlechner
2016-11-22 19:35 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox